Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.management.configuration
Interface ApplicationMBean

public interface ApplicationMBean
extends WebLogicMBean

This MBean represents an application instance that is deployed in the Weblogic Event Server. Each application that is deployed may consist of a number of Stages. Each stage would be of type `Adapter`, `Stream` or `Processor`. MBeans are deployed for the Application as well as the named stages that has been configured for the application.

The naming of the ApplicationMBean is as follows:

      Domain=<domain name>,Name=<application name>,Type=Application

An `ApplicationMBean` could be looked up directly from the MBeanServer by the naming as given above or `ApplicationMBean` could be looked up from the `DomainMBean` by providing the name of the specific application.

      //get the DomainMBean

      DomainMBean domainBean = <get the DomainMBean by looking up in the MBean Server>

     //iterate through the ApplicationMBeans that may have been bootstrapped
      for(ObjectName appBeanName : domainBean.getApplicationMBeans()) {
      ApplicationMBean appBean =
      (ApplicationMBean)
      MBeanServerInvocationHandler.newProxyInstance(
      mbsc,
      appBeanName,
      ApplicationMBean.class,
      false
      );
      //get the stage MBeans
      for(ObjectName stageBeanName : appBean.getStageMBeans()) {
      String beanType = stageBeanName.getKeyProperty("Type");
      if ( beanType.equalsIgnoreCase("EPLProcessor")) {

      EPLProcessorMBean processorBean =(EPLProcessorMBean)
      MBeanServerInvocationHandler.newProxyInstance(
      mbsc,
      stageBeanName,
      EPLProcessorMBean.class,false
      )       ;

      Map<String,String> rules =  processorBean.getAllRules();

      //print the rule
      for( Map.Entry<String,String> ruleEntry : rules.entrySet()){
      System.out.println("\n\t Rule -> " + ruleEntry.getValue());
      }

      }//end of if loop

      }//end of for

      }//end of for loop

Field Summary
`static java.lang.String` | `INITIALIZING` Application State:
`static java.lang.String` | `MBEAN_TYPE` This MBean is registered using the following MBEAN_TYPE.
`static java.lang.String` | `RUNNING`
`static java.lang.String` | `SUSPENDED`

Method Summary
`javax.management.ObjectName[]` | `getCachingSystemMBeans()` Returns an array of `ObjectName` which is the naming of the various `CachingSystemMBean`
`javax.management.ObjectName[]` | `getStageMBeans()` Returns an array of `ObjectName` which is the naming of the various `StageMBean`
`java.lang.String` | `getState()` Returns the application state.
`javax.management.ObjectName` | `lookupCachingSystemMBean(java.lang.String name)` Returns the `ObjectName` of the CachingSystemMBean
`javax.management.ObjectName` | `lookupStageMBean(java.lang.String name)` Returns the `ObjectName` of the StageMBean

Methods inherited from interface com.bea.wlevs.management.WebLogicMBean
`getName, getObjectName, getType`

Field Detail

### INITIALIZING

    public static final java.lang.String INITIALIZING

  Application State:

### RUNNING

    public static final java.lang.String RUNNING

### SUSPENDED

    public static final java.lang.String SUSPENDED

### MBEAN_TYPE

    public static final java.lang.String MBEAN_TYPE

  This MBean is registered using the following MBEAN_TYPE.

Method Detail

### getState

    public java.lang.String getState()

  Returns the application state.

  Returns:
    int - application state

### getStageMBeans

    public javax.management.ObjectName[] getStageMBeans()
                                                 throws javax.management.JMException

  Returns an array of `ObjectName` which is the naming of the various `StageMBean`

  Returns:
    ObjectName[] - array of ObjectName

### lookupStageMBean

    public javax.management.ObjectName lookupStageMBean(java.lang.String name)
                                                 throws javax.management.JMException

  Returns the `ObjectName` of the StageMBean

  Parameters:
    `name` - - Name of the StageMBean
  Returns:
    ObjectName - ObjectName of the specified named stage

### getCachingSystemMBeans

    public javax.management.ObjectName[] getCachingSystemMBeans()
                                                         throws javax.management.JMException

  Returns an array of `ObjectName` which is the naming of the various `CachingSystemMBean`

  Returns:
    ObjectName[] - array of ObjectName

### lookupCachingSystemMBean

    public javax.management.ObjectName lookupCachingSystemMBean(java.lang.String name)
                                                         throws javax.management.JMException

  Returns the `ObjectName` of the CachingSystemMBean

  Parameters:
    `name` - - Name of the CachingSystemMBean
  Returns:
    ObjectName - ObjectName of the specified named caching system

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.